Cache Class Reference

Cache to store raw tile data. More...

`#include <Cache.h>`

## Public Member Functions

| Cache (float max)
| Constructor.
| ~Cache ()
| Destructor.
void | clear ()
| Empty the cache.
void | insert (const RawTile &r)
| Insert a tile.
unsigned int | getNumElements ()
| Return the number of tiles in the cache.
float | getMemorySize ()
| Return the number of MB stored.
RawTile * | getTile (std::string f, int r, int t, int h, int v, CompressionType c, int q)
| Get a tile from the cache.
std::string | getIndex (std::string f, int r, int t, int h, int v, CompressionType c, int q)
| Create a hash index.

## Detailed Description

Cache to store raw tile data.

## Constructor & Destructor Documentation

## Cache()

Cache::Cache | ( | float | max | ) |

inline

Constructor.

Parameters

  max | Maximum cache size in MB

## Member Function Documentation

## getIndex()

std::string Cache::getIndex | ( | std::string | f,
|  | int | r,
|  | int | t,
|  | int | h,
|  | int | v,
|  | CompressionType | c,
|  | int | q )

inline

Create a hash index.

Parameters

  f | filename
  r | resolution number
  t | tile number
  h | horizontal sequence number
  v | vertical sequence number
  c | compression type
  q | compression quality

Returns
  string

Referenced by getTile(), and insert().

## getTile()

RawTile * Cache::getTile | ( | std::string | f,
|  | int | r,
|  | int | t,
|  | int | h,
|  | int | v,
|  | CompressionType | c,
|  | int | q )

inline

Get a tile from the cache.

Parameters

  f | filename
  r | resolution number
  t | tile number
  h | horizontal sequence number
  v | vertical sequence number
  c | compression type
  q | compression quality

Returns
  pointer to data or NULL on error

References getIndex().

## insert()

void Cache::insert | ( | const RawTile & | r | ) |

inline

Insert a tile.

Parameters

  r | Tile to be inserted

References RawTile::compressionType, RawTile::dataLength, RawTile::filename, getIndex(), RawTile::hSequence, RawTile::quality, RawTile::resolution, RawTile::tileNum, RawTile::timestamp, and RawTile::vSequence.

The documentation for this class was generated from the following file:

- Cache.h